Bug 210889 - the amount of milliseconds not is calculated in the commands of iputils package.
the amount of milliseconds not is calculated in the commands of iputils package.
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Martuccelli
Brian Brock
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2006-10-16 10:35 EDT by Wilmer Jaramillo M.
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 14:40:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
state of systems output (6.04 KB, text/plain)
2006-10-16 10:35 EDT, Wilmer Jaramillo M.
no flags Details

  None (edit)
Description Wilmer Jaramillo M. 2006-10-16 10:35:17 EDT
Description of problem:
When run ping/traceroute commands the statistics not are showed.

Version-Release number of selected component (if applicable):
iputils version: iputils-20020927-11.30.5.x86_64
kernel version: 2.4.21-47.ELsmp

How reproducible:
Run any command of iputils.

Steps to Reproduce:
1. modprobe forcedeth
2. ping localhost -c3
3. traceroute localhost
Actual results:
$ ping localhost -c3
PING localhost.localdomain ( 56(84) bytes of data.
64 bytes from localhost.localdomain ( icmp_seq=0 ttl=64 time=0.000
ms64 bytes from localhost.localdomain ( icmp_seq=1 ttl=64 time=0.000
ms64 bytes from localhost.localdomain ( icmp_seq=2 ttl=64 time=0.000 ms
--- localhost.localdomain ping statistics ---
3 packets transmitted, 3 received, 0% packet loss, time 0000ms
rtt min/avg/max/mdev = 0.000/0.000/0.000/0.000 ms, pipe 2

$ traceroute localhost
traceroute to localhost.localdomain (, 30 hops max, 46 byte packets
 1  localhost (  0.000 ms  0.000 ms  0.000 ms

Expected results:
displaye all statistics in iputils commands, and the amount of milliseconds of
return ICMP packages.

Additional info:
The system is a HP xw9300 Workstation (x86-64) http://www.hp.com/support/xw9300
Certified (Supported) https://hardware.redhat.com/hwcert/show.cgi?id=159982.

The bug is present with RHEL v3 Update 5,7,8. The driver nvnet of nVidia it
displays the same that forcedeth, in RHEL v4 Update 4 the driver forcedeth work
Comment 1 Wilmer Jaramillo M. 2006-10-16 10:35:17 EDT
Created attachment 138578 [details]
state of systems output
Comment 2 Wilmer Jaramillo M. 2006-10-16 11:28:08 EDT
(In reply to comment #1)
Additional info: 
$ mii-tool -v eth0
SIOCGMIIPHY on 'eth0' failed: Operation not supported

$ ethtool eth0
Settings for eth0:
	Supported ports: [ MII ]
	Supported link modes:   10baseT/Half 10baseT/Full 
	                        100baseT/Half 100baseT/Full 
	Supports auto-negotiation: Yes
	Advertised link modes:  10baseT/Half 10baseT/Full 
	                        100baseT/Half 100baseT/Full 
	Advertised auto-negotiation: Yes
	Speed: 100Mb/s
	Duplex: Half
	Port: MII
	Transceiver: externel
	Auto-negotiation: on
	Supports Wake-on: g
	Wake-on: d
	Link detected: yes

alias eth0 forcedeth
alias scsi_hostadapter mptbase
alias scsi_hostadapter1 mptscsih
alias scsi_hostadapter2 sata_nv
alias sound-slot-0 i810_audio
post-install sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null 2>&1
|| :
pre-remove sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -S >/dev/null 2>&1 || :
alias usb-controller usb-ohci
alias usb-controller1 ehci-hcd

$ ifconfig eth0:
eth0      Link encap:Ethernet  HWaddr 00:17:08:2A:42:8A  
          inet addr:  Bcast:  Mask:
          RX packets:1804 errors:0 dropped:0 overruns:0 frame:0
          TX packets:11 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:118438 (115.6 Kb)  TX bytes:2262 (2.2 Kb)
          Interrupt:11 Base address:0x6000 
Comment 3 Wilmer Jaramillo M. 2006-10-17 12:40:45 EDT
Possible reference: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=137114
Comment 4 Wilmer Jaramillo M. 2006-10-19 13:40:45 EDT
This report is therefore being closed with a resolution in:
Comment 5 Peter Martuccelli 2006-10-20 17:06:31 EDT

*** This bug has been marked as a duplicate of 128428 ***
Comment 7 Ernie Petrides 2006-10-20 19:06:12 EDT
Reopening this bug, since it was entered against RHEL3 U8.
Comment 8 Wilmer Jaramillo M. 2006-10-22 00:10:01 EDT
This particular bug has already been reported into of bug tracking system with
128428 id, the bug just fixed in U6, U7 and U8.
Comment 10 Peter Martuccelli 2007-01-23 15:25:46 EST
Works properly on an xw9300 w/ the x86 kernel.  Wilmer is reporting the problem
on an xw9300 running the x86_64 kernel.  Is this still a problem?  Does the
usage of the pmtmr option make a difference?
Comment 11 RHEL Product and Program Management 2007-10-19 14:40:35 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.